summaryrefslogtreecommitdiffstats
path: root/network/igmpproxy
diff options
context:
space:
mode:
author Andreas Liebe <andreas.liebe@outlook.com>2019-06-29 06:37:47 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-06-29 06:37:47 +0700
commit8aea1abc06f895907faf50121bc92bb275815fca (patch)
treefb021a5d7b6e9e7c16aba343b12c42a360bd26dd /network/igmpproxy
parentb8855682ce0336a53bab05491830ec5b09303a39 (diff)
downloadslackbuilds-8aea1abc06f895907faf50121bc92bb275815fca.tar.gz
slackbuilds-8aea1abc06f895907faf50121bc92bb275815fca.tar.xz
network/igmpproxy: Added (IGMP multicast routing daemon).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/igmpproxy')
-rw-r--r--network/igmpproxy/README2
-rw-r--r--network/igmpproxy/doinst.sh22
-rwxr-xr-xnetwork/igmpproxy/igmpproxy.SlackBuild107
-rw-r--r--network/igmpproxy/igmpproxy.info10
-rw-r--r--network/igmpproxy/rc.igmpproxy36
-rw-r--r--network/igmpproxy/slack-desc19
6 files changed, 196 insertions, 0 deletions
diff --git a/network/igmpproxy/README b/network/igmpproxy/README
new file mode 100644
index 0000000000..fcc6aba51a
--- /dev/null
+++ b/network/igmpproxy/README
@@ -0,0 +1,2 @@
+IGMPproxy is a simple multicast router that only uses the IGMP protocol,
+intended for forwarding of multicast traffic between networks.
diff --git a/network/igmpproxy/doinst.sh b/network/igmpproxy/doinst.sh
new file mode 100644
index 0000000000..0108be007c
--- /dev/null
+++ b/network/igmpproxy/doinst.sh
@@ -0,0 +1,22 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ rm $NEW
+ fi
+}
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname ${NEW})/$(basename ${NEW} .new)"
+ if [ -e ${OLD} ]; then
+ cp -a ${OLD} ${NEW}.incoming
+ cat ${NEW} > ${NEW}.incoming
+ mv ${NEW}.incoming ${NEW}
+ fi
+ config ${NEW}
+}
+
+config etc/igmpproxy.conf.new
+preserve_perms etc/rc.d/rc.igmpproxy.new
diff --git a/network/igmpproxy/igmpproxy.SlackBuild b/network/igmpproxy/igmpproxy.SlackBuild
new file mode 100755
index 0000000000..5ce8489dbe
--- /dev/null
+++ b/network/igmpproxy/igmpproxy.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for igmpproxy
+
+# Copyright 2019, Andreas Liebe, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=igmpproxy
+VERSION=${VERSION:-0.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/etc/rc.d
+mv $PKG/etc/igmpproxy.conf $PKG/etc/igmpproxy.conf.new
+cat $CWD/rc.igmpproxy > $PKG/etc/rc.d/rc.igmpproxy.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog GPL.txt INSTALL NEWS README Stanford.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/igmpproxy/igmpproxy.info b/network/igmpproxy/igmpproxy.info
new file mode 100644
index 0000000000..2e96636003
--- /dev/null
+++ b/network/igmpproxy/igmpproxy.info
@@ -0,0 +1,10 @@
+PRGNAM="igmpproxy"
+VERSION="0.2.1"
+HOMEPAGE="https://github.com/pali/igmpproxy"
+DOWNLOAD="https://github.com/pali/igmpproxy/releases/download/0.2.1/igmpproxy-0.2.1.tar.gz"
+MD5SUM="3a9c2cb42c1f5ee0cb769a4884545641"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andreas Liebe"
+EMAIL="andreas.liebe@outlook.com"
diff --git a/network/igmpproxy/rc.igmpproxy b/network/igmpproxy/rc.igmpproxy
new file mode 100644
index 0000000000..1b44b871f8
--- /dev/null
+++ b/network/igmpproxy/rc.igmpproxy
@@ -0,0 +1,36 @@
+#!/bin/sh
+# Start/stop/restart igmpproxy (IGMP multicast routing daemon).
+
+# Start igmpproxy:
+igmpproxy_start() {
+ if [ -x /usr/sbin/igmpproxy ]; then
+ echo "Starting igmpproxy: /usr/sbin/igmpproxy"
+ /usr/sbin/igmpproxy /etc/igmpproxy.conf
+ fi
+}
+
+# Stop igmpproxy:
+igmpproxy_stop() {
+ killall igmpproxy
+}
+
+# Restart igmpproxy:
+igmpproxy_restart() {
+ igmpproxy_stop
+ sleep 1
+ igmpproxy_start
+}
+
+case "$1" in
+'start')
+ igmpproxy_start
+ ;;
+'stop')
+ igmpproxy_stop
+ ;;
+'restart')
+ igmpproxy_restart
+ ;;
+*)
+ echo "usage rc.igmpproxy: start|stop|restart"
+esac
diff --git a/network/igmpproxy/slack-desc b/network/igmpproxy/slack-desc
new file mode 100644
index 0000000000..0e588ca912
--- /dev/null
+++ b/network/igmpproxy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+igmpproxy: igmpproxy (IGMP multicast routing daemon)
+igmpproxy:
+igmpproxy: A simple multicast router that only uses the IGMP protocol.
+igmpproxy:
+igmpproxy: Homepage: https://github.com/pali/igmpproxy
+igmpproxy:
+igmpproxy:
+igmpproxy:
+igmpproxy:
+igmpproxy:
+igmpproxy: